<?php
/**
 * Moon hooks functions.
 *
 * @since   1.0.0
 * @package Moon
 */

/**
 * Header functions.
 * 
 * @see  nq_moon_site_branding()
 * @see  nq_moon_site_navigation()
 */
add_action( 'nq_moon_header', 'nq_moon_site_branding',   0  );
add_action( 'nq_moon_header', 'nq_moon_site_navigation', 10 );

/**
 * Header in the loop.
 * 
 * @see  nq_moon_post_author()
 * @see  nq_moon_posted_on()
 * @see  nq_moon_post_comments()
 */
add_action( 'nq_moon_post_meta', 'nq_moon_post_author',   0  );
add_action( 'nq_moon_post_meta', 'nq_moon_posted_on',     10 );
add_action( 'nq_moon_post_meta', 'nq_moon_post_comments', 20 );

/**
 * Title of blog post.
 * 
 * @see  nq_moon_post_title()
 */
add_action( 'nq_moon_post_title', 'nq_moon_post_title' );

/**
 * Post format.
 * 
 * @see  nq_moon_post_thumbnail()
 */
add_action( 'nq_moon_post_format', 'nq_moon_post_thumbnail' );

/**
 * Footer in the loop.
 * 
 * @see  nq_moon_post_cats()
 * @see  nq_moon_post_read_more()
 */
add_action( 'nq_moon_post_action', 'nq_moon_post_cats' ,      0  );
add_action( 'nq_moon_post_action', 'nq_moon_post_read_more' , 10 );

/**
 * Blog pagination.
 * 
 * @see  nq_moon_pagination()
 */
add_action( 'nq_moon_pagination', 'nq_moon_pagination' );

/**
 * Footer in the single loop.
 * 
 * @see  nq_moon_post_tags()
 * @see  nq_moon_social_share()
 * @see  the_post_navigation()
 */
add_action( 'nq_moon_single_post_action', 'nq_moon_post_tags' ,    0 );
add_action( 'nq_moon_single_post_action', 'nq_moon_social_share' , 10 );
add_action( 'nq_moon_single_post_action', 'the_post_navigation' ,  20 );

/**
 * Blog post author.
 * 
 * @see  nq_moon_get_author()
 */
add_action( 'nq_moon_post_author', 'nq_moon_get_author' );

/**
 * Footer functions.
 * 
 * @see  nq_moon_footer_widget_area()
 * @see  nq_moon_site_info()
 */
add_action( 'nq_moon_footer', 'nq_moon_footer_widget_area', 0 );
add_action( 'nq_moon_footer', 'nq_moon_site_info',          10 );




