<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Moon
 */
?>
<?php do_action( 'nq_moon_before_loop' ); ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
			/**
			 * @hooked nq_moon_post_title - 0
			 */
			do_action( 'nq_moon_post_title' );
		?>

		<div class="entry-meta">
			<?php
				/**
				 * @hooked nq_moon_post_author   - 0
				 * @hooked nq_moon_posted_on     - 10
				 * @hooked nq_moon_post_comments - 20
				 */
				do_action( 'nq_moon_post_meta' );
			?>
		</div><!-- .entry-meta -->
		
		<div class="entry-thumbnail">
			<?php
				/**
				 * @hooked nq_moon_post_thumbnail - 0
				 */
				do_action( 'nq_moon_post_format' );
			?>
		</div><!-- .entry-thumbnail -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
			the_content( ' ' );
			$post_format = get_post_format();
			if ( 'quote' == $post_format ) :
				$author = get_post_meta( $post->ID, 'quote_author', true );
				echo '<h4 class="quote-author">- ' . esc_html( $author ) . '</h4>'; 
			endif;
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			/**
			 * @hooked nq_moon_post_cats      - 0
			 * @hooked nq_moon_post_read_more - 10
			 */
			do_action( 'nq_moon_post_action' );
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
<?php do_action( 'nq_moon_after_loop' ); ?>